import QtQuick 2.9
import QtQuick.Window 2.2
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.3

Page {
    width: parent.width
    padding: 10

    Connections {
        target: Releve
        onMoyenneUpdated: {
            labelMoyenne.text = "Moyenne : " + Releve.moyenne + " °C";
            labelMoyenne.color = "#0000FF"
            labelMoyenne.visible = true
        }
        onMesuresErreur: {
            labelMoyenne.text = "Aucune mesure pour ce relevé !";
            labelMoyenne.color = "#FF0000"
            labelMoyenne.visible = true
            listeMesures.visible = false
        }
    }
    Column {
        id: colonnePage
        width: parent.width
        spacing: 15
        Row {
            Label {
                id: introduction
                wrapMode: Label.Wrap
                text: "Relevés de mesures de températures dans les serres"
            }
        }
        Row {
            ComboBox {
                id: choixReleve
                width: introduction.width
                model: Releve.listeReleves
                enabled: true;
            }
        }
        Row {
            spacing: 20
            Label {
                wrapMode: Label.Wrap
                text: "Nb dernières mesures :"
                anchors.verticalCenter: parent.verticalCenter
            }
            SpinBox {
                id: limiteNbMesures
                enabled: choixReleve.count > 0 ? true : false;
                value: 5
                editable: true
            }
        }
        Row {
            spacing: 20
            Button {
                id: annuleReleve
                enabled: choixReleve.count > 0 ? true : false;
                text: "Annuler"
                onClicked: {
                    listeMesures.visible = false
                    labelMoyenne.visible = false
                }
            }
            Button {
                id: voirReleve
                enabled: choixReleve.count > 0 ? true : false;
                text: "Voir le relevé"
                onClicked: {
                    if(Releve.lireReleve(choixReleve.currentText, limiteNbMesures.value))
                    {
                        listeMesures.visible = true
                        Releve.lireMoyenneReleve(choixReleve.currentText, limiteNbMesures.value);
                    }
                }
            }
            Button {
                id: purgerReleve
                enabled: choixReleve.count > 0 ? true : false;
                text: "Purger le relevé"
                onClicked: {
                    Releve.executerRequete("DELETE FROM releves WHERE releves.description = '" + choixReleve.currentText + "'");
                    listeMesures.visible = false
                    labelMoyenne.visible = false
                }
            }
        }
        Row {
                Mesures
                {
                    id: listeMesures
                    visible: false
                    width: colonnePage.width //onglets.width
                    height: Screen.desktopAvailableHeight * 0.45
                    color: "#cfcfcf"
                }
        }
        Row {
            Label {
                id: labelMoyenne
                visible: false
                anchors.margins: 5
                wrapMode: Label.Wrap
                text: ""
            }
        }
    }
}
