import QtQuick 2.11
import QtQuick.Window 2.3
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.3

ApplicationWindow {
    id: window
    title: qsTr("Mon ApplicationBD")
    width: Screen.desktopAvailableWidth
    height: Screen.desktopAvailableHeight
    property bool erreur: Releve.erreurConnexion
    visible: true

    onErreurChanged: {
        if (Releve.erreurConnexion)
        {
            messageErreur.text = qsTr("Problème d'ouverture de la base de données !")
            erreurDialog.open()
        }
    }
    header: ToolBar {
        RowLayout {
            spacing: 20
            anchors.fill: parent            
            Label {
                id: titre
                text: qsTr("Mon ApplicationBD")
                font.pixelSize: 20
                elide: Label.ElideRight
                horizontalAlignment: Qt.AlignHCenter
                verticalAlignment: Qt.AlignVCenter
                Layout.fillWidth: true
            }
            ToolButton {
                id: toolButton2
                icon.name: "menu"
                onClicked: menu.open()
            }
        }
    }    
    Menu {
        id: menu
        x: parent.width - width
        transformOrigin: Menu.TopRight        
        MenuItem {
            id: about
            text: "À propos"
            onTriggered: {
                aPropos.open()
            }
        }
    }
    Dialog {
        id: aPropos
        modal: true
        focus: true
        title: "À propos"
        x: (window.width - width) / 2
        y: window.height / 6
        width: Math.min(window.width, window.height) / 3 * 2
        contentHeight: message.height
        Label {
            id: message
            width: aPropos.availableWidth
            text: "Exemple d'utilisation d'une Base de données SQLite en Qt Quick Controls 2."
            wrapMode: Label.Wrap
            font.pixelSize: 12
        }
    }
    Dialog {
        id: erreurDialog
        x: (parent.width - width) / 2
        y: (parent.height - height) / 2
        standardButtons: Dialog.Close
        title: "Erreur"
        Label {
            id: messageErreur
            text: ""
        }
    }
    footer: Label {
            width: parent.width
            horizontalAlignment: Qt.AlignRight
            padding: 10
            text: qsTr("© http://tvaira.free.fr")
            font.pixelSize: 14
            font.italic: true
    }
    Releves
    {
        id: pageReleve
    }
}
