#ifndef MESURE_H
#define MESURE_H

#include <QObject>
#include <QDateTime>

class Mesure : public QObject
{
    Q_OBJECT
    Q_PROPERTY(double temperature READ getTemperature NOTIFY mesure)
    Q_PROPERTY(QString horodatage READ getHorodatage NOTIFY mesure)

public:
    explicit Mesure(QDateTime horodatage, double temperature, QObject *parent = nullptr);

    double getTemperature() const;
    QString getHorodatage() const;

private:
    QDateTime horodatage;
    double temperature;

signals:
    void mesure();

public slots:
};

#endif // MESURE_H
